/*--------------------------------------------------------------------------
Header file for MDU.
--------------------------------------------------------------------------*/

#ifndef __MDU_H__
#define __MDU_H__

#pragma mdu_r515                //Keil C MDU command line for UV3 and UV4

void  MDU_16_MUL_16_32bit(unsigned int nNumerator,  unsigned int nDenominator, unsigned char nShift , unsigned char nShiftDir );
void  MDU_16_MUL_16_16bit(unsigned int nNumerator,  unsigned int nDenominator, unsigned char nShift , unsigned char nShiftDir );
void MDU_16Bit_Shift(unsigned int nData, unsigned char nShift, unsigned char);
void MDU_32Bit_Shift(unsigned int nDataH,unsigned int nDataL, unsigned char nShift, unsigned char nShiftDir);
void MDU_32_DIV_16(unsigned int n16Divisor);
#define d_MDU_SHIFT_LEFT   (0x00)
#define d_MDU_SHIFT_RIGTH  (0x20)

#endif
